Handle Create 4
Execute the given onboarding plan in the current organization
Show optional properties
{
"planLink": "string"
}
{
"planLink": "string",
"subStage": "string",
"executionId": "string",
"planValidated": false,
"blueprintsValidated": false,
"deploymentsValidated": false,
"machinesValidated": false,
"nextPageLink": "string",
"deploymentCount": 0,
"retryCount": 0,
"failedDeploymentCount": 0,
"usePlacements": false,
"placementComputesRetrieved": false,
"placementToComputesMap": {
"placementToComputesMap": [
"string"
]
}
}
Link to the plan to execute.
subStage
executionId
planValidated
blueprintsValidated
deploymentsValidated
machinesValidated
nextPageLink
deploymentCount
retryCount
failedDeploymentCount
usePlacements
placementComputesRetrieved
placementToComputesMap
Success
{
"planLink": "string",
"subStage": "string",
"executionId": "string",
"planValidated": false,
"blueprintsValidated": false,
"deploymentsValidated": false,
"machinesValidated": false,
"nextPageLink": "string",
"deploymentCount": 0,
"retryCount": 0,
"failedDeploymentCount": 0,
"usePlacements": false,
"placementComputesRetrieved": false,
"placementToComputesMap": {
"placementToComputesMap": [
"string"
]
},
"failureMessage": "string",
"tenantLink": "string",
"documentSelfLink": "string",
"taskInfo": {
"stage": "string",
"isDirect": false,
"failure": {
"message": "string",
"messageId": "string",
"stackTrace": [
"string"
],
"statusCode": 0,
"errorCode": 0,
"details": [
"string"
],
"serverErrorId": "string",
"documentKind": "string",
"internalErrorCode": 0
},
"durationMicros": 0
}
}
Link to the plan to execute.
subStage
executionId
planValidated
blueprintsValidated
deploymentsValidated
machinesValidated
nextPageLink
deploymentCount
retryCount
failedDeploymentCount
usePlacements
placementComputesRetrieved
placementToComputesMap
failureMessage
Link to a tenant
documentSelfLink
taskInfo
Unauthorized
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"planLink":"string"}' https://{api_host}/relocation/api/wo/execute-plan